<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Trailers_V2 StructType
 * @subpackage Structs
 */
class Get_Trailers_V2 extends AbstractStructBase
{
    /**
     * The ExcludeInactiveTrailers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $ExcludeInactiveTrailers;
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The VehicleSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\VehicleSelection
     */
    public $VehicleSelection;
    /**
     * Constructor method for Get_Trailers_V2
     * @uses Get_Trailers_V2::setExcludeInactiveTrailers()
     * @uses Get_Trailers_V2::setLogin()
     * @uses Get_Trailers_V2::setVehicleSelection()
     * @param bool $excludeInactiveTrailers
     * @param \StructType\Login $login
     * @param \StructType\VehicleSelection $vehicleSelection
     */
    public function __construct($excludeInactiveTrailers = null, \StructType\Login $login = null, \StructType\VehicleSelection $vehicleSelection = null)
    {
        $this
            ->setExcludeInactiveTrailers($excludeInactiveTrailers)
            ->setLogin($login)
            ->setVehicleSelection($vehicleSelection);
    }
    /**
     * Get ExcludeInactiveTrailers value
     * @return bool
     */
    public function getExcludeInactiveTrailers()
    {
        return $this->ExcludeInactiveTrailers;
    }
    /**
     * Set ExcludeInactiveTrailers value
     * @param bool $excludeInactiveTrailers
     * @return \StructType\Get_Trailers_V2
     */
    public function setExcludeInactiveTrailers($excludeInactiveTrailers = null)
    {
        // validation for constraint: boolean
        if (!is_null($excludeInactiveTrailers) && !is_bool($excludeInactiveTrailers)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($excludeInactiveTrailers, true), gettype($excludeInactiveTrailers)), __LINE__);
        }
        $this->ExcludeInactiveTrailers = $excludeInactiveTrailers;
        return $this;
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Trailers_V2
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get VehicleSelection value
     * @return \StructType\VehicleSelection|null
     */
    public function getVehicleSelection()
    {
        return $this->VehicleSelection;
    }
    /**
     * Set VehicleSelection value
     * @param \StructType\VehicleSelection $vehicleSelection
     * @return \StructType\Get_Trailers_V2
     */
    public function setVehicleSelection(\StructType\VehicleSelection $vehicleSelection = null)
    {
        $this->VehicleSelection = $vehicleSelection;
        return $this;
    }
}
